cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class CCU_I20

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.CCU_I20

-     public final class CCU_I20
      extends Message

  CCU_I20– Asynchronous Collaborative Care Update (Event I20). This event triggers a message to be sent from a referred to healthcare provider to the referring health care provider, regarding a specific, previously received collaborative care referral

  Represents a CCU_I20 message structure (see chapter 11.6.6). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: RF1 (Referral Information) SINGLE_COMPULSARY
  4: PROVIDER_CONTACT (a Group in CCU_I20 message) MULTIPLE_OPTIONAL
  5: PATIENT (a Group of segments in CCu_I120 message) MULTIPLE_OPTIONAL
  6: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  7: INSURANCE (a Group of segments in CCu_I20 message) MULTIPLE_OPTIONAL
  8: APPOINTMENT HISTORY (a Group of segments in CCU_I20 message) MULTIPLE_OPTIONAL
  9: CLINICAL HISTORY (a Group of segments in CCU_I20 message) MULTIPLE_OPTIONAL
  10: PATIENT_VISIT (a Group in CCM_I21 message) MULTIPLE_COMPULSARY
  11: MEDICATION HISTORY (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  12: PROBLEM (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  13: GOAL (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  14: PATHWAY (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  15: REL (Relationship) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCU_I20(IMap objMessageMap)` Constructs the CCU_I20 message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAppointmentHistoryGroup(IGroup objGroup)` Adds Appointment History GROUP to this message.
    `void` | `addAppointmentHistoryGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Appointment History GROUP to this message.
    `void` | `addClinicalHistoryGroup(IGroup objGroup)` Adds Clinical History GROUP to this message.
    `void` | `addClinicalHistoryGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Clinical History GROUP to this message.
    `void` | `addGoalGroup(IGroup objGroup)` Adds Goal GROUP to this message.
    `void` | `addGoalGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Goal GROUP to this message.
    `void` | `addInsuranceGroup(IGroup objGroup)` Adds Insurance GROUP to this message.
    `void` | `addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Insurance GROUP to this message.
    `void` | `addMedicationHistoryGroup(IGroup objGroup)` Adds Medication History GROUP to this message.
    `void` | `addMedicationHistoryGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Medication History GROUP to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegment(ISingleCollection<NK1> objNK1SegmentCollection)` Adds collection of Next of Kin Segments(NK1) to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)` Adds Next of Kin/Associated Parties Segment(NK1) to this message.
    `void` | `addPathwayGroup(IGroup objGroup)` Adds Pathway GROUP to this message.
    `void` | `addPathwayGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Pathway GROUP to this message.
    `void` | `addPatientGroup(IGroup objGroup)` Adds PATIENT GROUP to this message.
    `void` | `addPatientGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PATIENT GROUP to this message.
    `void` | `addPatientVisitGroup(IGroup objGroup)` Adds Patient Visit GROUP to this message.
    `void` | `addPatientVisitGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Patient Visit GROUP to this message.
    `void` | `addProblemGroup(IGroup objGroup)` Adds Problem GROUP to this message.
    `void` | `addProblemGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Problem GROUP to this message.
    `void` | `addProviderContactGroup(IGroup objGroup)` Adds Provider Contact GROUP to this message.
    `void` | `addProviderContactGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Provider Contact GROUP to this message.
    `void` | `addRelationshipSegment(ISingleCollection<REL> objRELSegmentCollection)` Adds collection of Relationship Segment(REL) to this message.
    `void` | `addRelationshipSegment(REL objREL)` Adds Relationship Segment(REL) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getAppointmentHistoryGroups()` Retrieves Collection of Appointment History GROUP present in this message.
    `ISingleCollection<IGroup>` | `getClinicalHistoryGroups()` Retrieves Collection of Clinical History GROUP present in this message.
    `ISingleCollection<IGroup>` | `getGoalGroups()` Retrieves Collection of Goal GROUP present in this message.
    `ISingleCollection<IGroup>` | `getInsuranceGroups()` Retrieves Collection of Insurance GROUP present in this message.
    `ISingleCollection<IGroup>` | `getMedicationHistoryGroups()` Retrieves Collection of Medication History GROUP present in this message.
    `ISingleCollection<NK1>` | `getNextOfKinOrAssociatedPartiesSegments()` Retrieves Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.
    `ISingleCollection<IGroup>` | `getPathwayGroups()` Retrieves Collection of Pathway GROUP present in this message.
    `ISingleCollection<IGroup>` | `getPatientGroups()` Retrieves Collection of PATIENT GROUP present in this message.
    `ISingleCollection<IGroup>` | `getPatientVisitGroups()` Retrieves Collection of Patient Visit GROUP present in this message.
    `ISingleCollection<IGroup>` | `getProblemGroups()` Retrieves Collection of Problem GROUP present in this message.
    `ISingleCollection<IGroup>` | `getProviderContactGroups()` Retrieves Collection of Provider Contact GROUP present in this message.
    `RF1` | `getReferralInformationSegment()` Retrieves Referral Information(RF1) segment present in this message
    `ISingleCollection<REL>` | `getRelationshipSegments()` Retrieves Collection of Relationship Segments(REL) present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setReferralInformationSegment(RF1 objRF1)` Sets value of Referral Information segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCU_I20

          public CCU_I20(IMap objMessageMap)

      Constructs the CCU_I20 message.

  - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getReferralInformationSegment

          public RF1 getReferralInformationSegment()

      Retrieves Referral Information(RF1) segment present in this message
      Returns:
        RFI - the Referral Information Segment present in this message or null if unavailable.

    - #### setReferralInformationSegment

          public void setReferralInformationSegment(RF1 objRF1)

      Sets value of Referral Information segment for this message,overwrites if already present.
      Parameters:
        `objRF1` - Specified Referral Information Segment

    - #### getProviderContactGroups

          public ISingleCollection<IGroup> getProviderContactGroups()

      Retrieves Collection of Provider Contact GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Provider Contact Group present

    - #### addProviderContactGroups

          public void addProviderContactGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Provider Contact GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Provider Contact GROUP Collection.

    - #### addProviderContactGroup

          public void addProviderContactGroup(IGroup objGroup)

      Adds Provider Contact GROUP to this message.
      Parameters:
        `objGroup` - Provider Contact GROUP.

    - #### getPatientGroups

          public ISingleCollection<IGroup> getPatientGroups()

      Retrieves Collection of PATIENT GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PATIENT Group present in this Message.

    - #### addPatientGroups

          public void addPatientGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PATIENT GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PATIENT GROUP Collection.

    - #### addPatientGroup

          public void addPatientGroup(IGroup objGroup)

      Adds PATIENT GROUP to this message.
      Parameters:
        `objGroup` - Specified PATIENT GROUP.

    - #### addNextOfKinOrAssociatedPartiesSegment

          public void addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)

      Adds Next of Kin/Associated Parties Segment(NK1) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin/Associated Parties Segment(NK1) to add in message.

    - #### addNextOfKinOrAssociatedPartiesSegment

          public void addNextOfKinOrAssociatedPartiesSegment(ISingleCollection<NK1> objNK1SegmentCollection)

      Adds collection of Next of Kin Segments(NK1) to this message.
      Parameters:
        `objNK1SegmentCollection` - Collection of Next of Kin/Associated Parties Segment(NK1) to add in this message

    - #### getNextOfKinOrAssociatedPartiesSegments

          public ISingleCollection<NK1> getNextOfKinOrAssociatedPartiesSegments()

      Retrieves Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.

    - #### getInsuranceGroups

          public ISingleCollection<IGroup> getInsuranceGroups()

      Retrieves Collection of Insurance GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Insurance Group present

    - #### addInsuranceGroups

          public void addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Insurance GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Insurance GROUP Collection.

    - #### addInsuranceGroup

          public void addInsuranceGroup(IGroup objGroup)

      Adds Insurance GROUP to this message.
      Parameters:
        `objGroup` - Specified Insurance GROUP.

    - #### getAppointmentHistoryGroups

          public ISingleCollection<IGroup> getAppointmentHistoryGroups()

      Retrieves Collection of Appointment History GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Appointment History Group present

    - #### addAppointmentHistoryGroups

          public void addAppointmentHistoryGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Appointment History GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Appointment History GROUP Collection.

    - #### addAppointmentHistoryGroup

          public void addAppointmentHistoryGroup(IGroup objGroup)

      Adds Appointment History GROUP to this message.
      Parameters:
        `objGroup` - Specified Appointment History GROUP.

    - #### getClinicalHistoryGroups

          public ISingleCollection<IGroup> getClinicalHistoryGroups()

      Retrieves Collection of Clinical History GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Clinical History Group present

    - #### addClinicalHistoryGroups

          public void addClinicalHistoryGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Clinical History GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Clinical History GROUP Collection.

    - #### addClinicalHistoryGroup

          public void addClinicalHistoryGroup(IGroup objGroup)

      Adds Clinical History GROUP to this message.
      Parameters:
        `objGroup` - Specified Clinical History GROUP.

    - #### getPatientVisitGroups

          public ISingleCollection<IGroup> getPatientVisitGroups()

      Retrieves Collection of Patient Visit GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Patient Visit Group present

    - #### addPatientVisitGroups

          public void addPatientVisitGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Patient Visit GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Patient Visit GROUP Collection.

    - #### addPatientVisitGroup

          public void addPatientVisitGroup(IGroup objGroup)

      Adds Patient Visit GROUP to this message.
      Parameters:
        `objGroup` - Patient Visit GROUP.

    - #### getMedicationHistoryGroups

          public ISingleCollection<IGroup> getMedicationHistoryGroups()

      Retrieves Collection of Medication History GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Medication History Group present

    - #### addMedicationHistoryGroups

          public void addMedicationHistoryGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Medication History GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Medication History GROUP Collection.

    - #### addMedicationHistoryGroup

          public void addMedicationHistoryGroup(IGroup objGroup)

      Adds Medication History GROUP to this message.
      Parameters:
        `objGroup` - Specified Medicationl History GROUP.

    - #### getProblemGroups

          public ISingleCollection<IGroup> getProblemGroups()

      Retrieves Collection of Problem GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Problem Group present

    - #### addProblemGroups

          public void addProblemGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Problem GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Problem GROUP Collection.

    - #### addProblemGroup

          public void addProblemGroup(IGroup objGroup)

      Adds Problem GROUP to this message.
      Parameters:
        `objGroup` - Specified Problem GROUP.

    - #### getGoalGroups

          public ISingleCollection<IGroup> getGoalGroups()

      Retrieves Collection of Goal GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Goal Group present

    - #### addGoalGroups

          public void addGoalGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Goal GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Goal GROUP Collection.

    - #### addGoalGroup

          public void addGoalGroup(IGroup objGroup)

      Adds Goal GROUP to this message.
      Parameters:
        `objGroup` - Specified Goal GROUP.

    - #### getPathwayGroups

          public ISingleCollection<IGroup> getPathwayGroups()

      Retrieves Collection of Pathway GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Pathway Group present

    - #### addPathwayGroups

          public void addPathwayGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Pathway GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Pathway GROUP Collection.

    - #### addPathwayGroup

          public void addPathwayGroup(IGroup objGroup)

      Adds Pathway GROUP to this message.
      Parameters:
        `objGroup` - Specified Pathway GROUP.

    - #### addRelationshipSegment

          public void addRelationshipSegment(REL objREL)

      Adds Relationship Segment(REL) to this message.
      Parameters:
        `objREL` - Specified Relationship Segment(REL)to be added in message.

    - #### addRelationshipSegment

          public void addRelationshipSegment(ISingleCollection<REL> objRELSegmentCollection)

      Adds collection of Relationship Segment(REL) to this message.
      Parameters:
        `objRELSegmentCollection` - Collection of Relationship Segments to add in this message

    - #### getRelationshipSegments

          public ISingleCollection<REL> getRelationshipSegments()

      Retrieves Collection of Relationship Segments(REL) present in this message.
      Returns:
        ISingleCollection - Collection of Relationship Segments(REL) present in this message.